# azure.mgmt.containerinstance.operations module

class `azure.mgmt.containerinstance.operations.``ContainerGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ContainerGroupsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-10-01”.

  `create_or_update`(resource_group_name, container_group_name, container_group, custom_headers=None, raw=False, polling=True, **operation_config)

    Create or update container groups.

    Create or update container groups with specified configurations.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - container_group (ContainerGroup) – The properties of the container group to be created or updated.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns ContainerGroup or ClientRawResponse<ContainerGroup> if raw==True
    Return type: | AzureOperationPoller[ContainerGroup] or AzureOperationPoller[ClientRawResponse[ContainerGroup]]
    Raises: | `CloudError`

  `delete`(resource_group_name, container_group_name, custom_headers=None, raw=False, **operation_config)

    Delete the specified container group.

    Delete the specified container group in the specified subscription and resource group. The operation does not delete other resources provided by the user, such as volumes.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContainerGroup or ClientRawResponse if raw=true
    Return type: | ContainerGroup or ClientRawResponse
    Raises: | `CloudError`

  `get`(resource_group_name, container_group_name, custom_headers=None, raw=False, **operation_config)

    Get the properties of the specified container group.

    Gets the properties of the specified container group in the specified subscription and resource group. The operation returns the properties of each container group including containers, image registry credentials, restart policy, IP address type, OS type, state, and volumes.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContainerGroup or ClientRawResponse if raw=true
    Return type: | ContainerGroup or ClientRawResponse
    Raises: | `CloudError`

  `list`(custom_headers=None, raw=False, **operation_config)

    Get a list of container groups in the specified subscription.

    Get a list of container groups in the specified subscription. This operation returns properties of each container group including containers, image registry credentials, restart policy, IP address type, OS type, state, and volumes.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ContainerGroup
    Return type: | ContainerGroupPaged[ContainerGroup]
    Raises: | `CloudError`

  `list_by_resource_group`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get a list of container groups in the specified subscription and resource group.

    Get a list of container groups in a specified subscription and resource group. This operation returns properties of each container group including containers, image registry credentials, restart policy, IP address type, OS type, state, and volumes.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | An iterator like instance of ContainerGroup
    Return type: | ContainerGroupPaged[ContainerGroup]
    Raises: | `CloudError`

  `restart`(resource_group_name, container_group_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Restarts all containers in a container group.

    Restarts all containers in a container group in place. If container image has updates, new image will be downloaded.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `start`(resource_group_name, container_group_name, custom_headers=None, raw=False, polling=True, **operation_config)

    Starts all containers in a container group.

    Starts all containers in a container group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – The poller return type is ClientRawResponse, the direct response alongside the deserialized response
    - polling – True for ARMPolling, False for no polling, or a polling object for personal polling strategy

    Returns: | An instance of LROPoller that returns None or ClientRawResponse<None> if raw==True
    Return type: | AzureOperationPoller[None] or AzureOperationPoller[ClientRawResponse[None]]
    Raises: | `CloudError`

  `stop`(resource_group_name, container_group_name, custom_headers=None, raw=False, **operation_config)

    Stops all containers in a container group.

    Stops all containers in a container group. Compute resources will be deallocated and billing will stop.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `update`(resource_group_name, container_group_name, location=None, tags=None, custom_headers=None, raw=False, **operation_config)

    Update container groups.

    Updates container group tags with specified values.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - location (str) – The resource location.
    - tags (dict[str, str]) – The resource tags.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContainerGroup or ClientRawResponse if raw=true
    Return type: | ContainerGroup or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerinstance.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerinstance/models/__init__.py'>

class `azure.mgmt.containerinstance.operations.``Operations`(client, config, serializer, deserializer)

  Bases: `object`

  Operations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-10-01”.

  `list`(custom_headers=None, raw=False, **operation_config)

    List the operations for Azure Container Instance service.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | OperationListResult or ClientRawResponse if raw=true
    Return type: | OperationListResult or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerinstance.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerinstance/models/__init__.py'>

class `azure.mgmt.containerinstance.operations.``ContainerGroupUsageOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ContainerGroupUsageOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-10-01”.

  `list`(location, custom_headers=None, raw=False, **operation_config)

    Get the usage for a subscription.

    Parameters:

    - location (str) – The identifier for the physical azure location.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | UsageListResult or ClientRawResponse if raw=true
    Return type: | UsageListResult or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerinstance.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerinstance/models/__init__.py'>

class `azure.mgmt.containerinstance.operations.``ContainerOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ContainerOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-10-01”.

  `execute_command`(resource_group_name, container_group_name, container_name, command=None, terminal_size=None, custom_headers=None, raw=False, **operation_config)

    Executes a command in a specific container instance.

    Executes a command for a specific container instance in a specified resource group and container group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - container_name (str) – The name of the container instance.
    - command (str) – The command to be executed.
    - terminal_size (ContainerExecRequestTerminalSize) – The size of the terminal.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | ContainerExecResponse or ClientRawResponse if raw=true
    Return type: | ContainerExecResponse or ClientRawResponse
    Raises: | `CloudError`

  `list_logs`(resource_group_name, container_group_name, container_name, tail=None, custom_headers=None, raw=False, **operation_config)

    Get the logs for a specified container instance.

    Get the logs for a specified container instance in a specified resource group and container group.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - container_group_name (str) – The name of the container group.
    - container_name (str) – The name of the container instance.
    - tail (int) – The number of lines to show from the tail of the container instance log. If not provided, all available logs are shown up to 4mb.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | Logs or ClientRawResponse if raw=true
    Return type: | Logs or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerinstance.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerinstance/models/__init__.py'>

class `azure.mgmt.containerinstance.operations.``ServiceAssociationLinkOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ServiceAssociationLinkOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An object model deserializer.

  Variables: | api_version – Client API version. Constant value: “2018-10-01”.

  `delete`(resource_group_name, virtual_network_name, subnet_name, custom_headers=None, raw=False, **operation_config)

    Delete the container instance service association link for the subnet.

    Delete the container instance service association link for the subnet. This operation unblocks user from deleting subnet.

    Parameters:

    - resource_group_name (str) – The name of the resource group.
    - virtual_network_name (str) – The name of the virtual network.
    - subnet_name (str) – The name of the subnet.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Returns: | None or ClientRawResponse if raw=true
    Return type: | None or ClientRawResponse
    Raises: | `CloudError`

  `models` = <module 'azure.mgmt.containerinstance.models' from '/usr/lib/python3/dist-packages/azure/mgmt/containerinstance/models/__init__.py'>